import type { Chain, Network } from "@wormhole-foundation/sdk-base";
import { contracts } from "@wormhole-foundation/sdk-base";
type UnknownContracts = Record<string, any>;
/** The Contract addresses set in configuration for a given chain */
export type Contracts = {
    coreBridge?: string;
    tokenBridge?: string;
    tokenBridgeRelayer?: string;
    nftBridge?: string;
    relayer?: string;
    cctp?: contracts.CircleContracts;
    gateway?: string;
    translator?: string;
    portico?: contracts.PorticoContracts;
} & UnknownContracts;
/**
 *
 * Get the contracts for a given network and chain
 *
 * @param n the network to get contracts for
 * @param c the chain to get contracts for
 * @returns the contracts for the given network and chain
 */
export declare function getContracts(n: Network, c: Chain): Contracts;
export {};
//# sourceMappingURL=contracts.d.ts.map