"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fixedLengthStringItem = exports.stringConversion = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
const trimZeros = (arr) => {
    const i = arr.findIndex((x) => x !== 0);
    return -1 < i ? arr.slice(i) : new Uint8Array([]);
};
exports.stringConversion = {
    to: sdk_base_1.encoding.bytes.decode,
    from: sdk_base_1.encoding.bytes.encode,
};
const fixedLengthStringItem = (size) => ({
    binary: "bytes",
    size,
    custom: {
        to: (val) => sdk_base_1.encoding.bytes.decode(trimZeros(val)),
        from: (val) => sdk_base_1.encoding.bytes.zpad(sdk_base_1.encoding.bytes.encode(val), size),
    },
});
exports.fixedLengthStringItem = fixedLengthStringItem;
//# sourceMappingURL=string.js.map