"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCircleTransferDetails = exports.AutomaticCircleBridge = exports.CircleBridge = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
require("./automaticCircleBridgeLayout.js");
const circleBridgeLayout_js_1 = require("./circleBridgeLayout.js");
const utils_js_1 = require("../../utils.js");
const index_js_1 = require("./../../vaa/index.js");
require("../../registry.js");
var CircleBridge;
(function (CircleBridge) {
    const _protocol = "CircleBridge";
    const _payloads = ["Message"];
    CircleBridge.isCircleAttestation = (thing) => {
        return thing.message !== undefined;
    };
    CircleBridge.deserialize = (data) => {
        const msg = (0, sdk_base_1.deserializeLayout)(circleBridgeLayout_js_1.circleMessageLayout, data);
        const messsageHash = sdk_base_1.encoding.hex.encode((0, utils_js_1.keccak256)(data), true);
        return [msg, messsageHash];
    };
    CircleBridge.serialize = (msg) => {
        return (0, sdk_base_1.serializeLayout)(circleBridgeLayout_js_1.circleMessageLayout, msg);
    };
})(CircleBridge || (exports.CircleBridge = CircleBridge = {}));
var AutomaticCircleBridge;
(function (AutomaticCircleBridge) {
    const _protocol = "AutomaticCircleBridge";
    const _payloads = ["DepositWithPayload", "TransferWithRelay"];
    AutomaticCircleBridge.getTransferDiscriminator = (0, sdk_base_1.lazyInstantiate)(() => (0, index_js_1.payloadDiscriminator)([_protocol, _payloads]));
})(AutomaticCircleBridge || (exports.AutomaticCircleBridge = AutomaticCircleBridge = {}));
function isCircleTransferDetails(thing) {
    return (thing.amount !== undefined &&
        thing.from !== undefined &&
        thing.to !== undefined);
}
exports.isCircleTransferDetails = isCircleTransferDetails;
//# sourceMappingURL=circleBridge.js.map