"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.circleBridgeNamedPayloads = exports.circleMessageLayout = void 0;
const index_js_1 = require("./../../layout-items/index.js");
require("./automaticCircleBridgeLayout.js");
const index_js_2 = require("./../../vaa/index.js");
const messageVersionItem = { binary: "uint", size: 4, custom: 0, omit: true };
// https://developers.circle.com/stablecoin/docs/cctp-technical-reference#message
const circleBurnMessageLayout = [
    // messageBodyVersion is:
    // * immutable: https://github.com/circlefin/evm-cctp-contracts/blob/adb2a382b09ea574f4d18d8af5b6706e8ed9b8f2/src/TokenMessenger.sol#L107
    // * 0: https://etherscan.io/address/0xbd3fa81b58ba92a82136038b25adec7066af3155#readContract
    { name: "messageBodyVersion", ...messageVersionItem },
    { name: "burnToken", ...index_js_1.universalAddressItem },
    { name: "mintRecipient", ...index_js_1.universalAddressItem },
    { name: "amount", ...index_js_1.amountItem },
    { name: "messageSender", ...index_js_1.universalAddressItem },
];
exports.circleMessageLayout = [
    // version is:
    // * immutable: https://github.com/circlefin/evm-cctp-contracts/blob/adb2a382b09ea574f4d18d8af5b6706e8ed9b8f2/src/MessageTransmitter.sol#L75
    // * 0: https://etherscan.io/address/0x0a992d191deec32afe36203ad87d7d289a738f81#readContract
    { name: "version", ...messageVersionItem },
    { name: "sourceDomain", ...index_js_1.circleDomainItem },
    { name: "destinationDomain", ...index_js_1.circleDomainItem },
    { name: "nonce", ...index_js_1.circleNonceItem },
    { name: "sender", ...index_js_1.universalAddressItem },
    { name: "recipient", ...index_js_1.universalAddressItem },
    { name: "destinationCaller", ...index_js_1.universalAddressItem },
    { name: "payload", binary: "bytes", layout: circleBurnMessageLayout },
];
exports.circleBridgeNamedPayloads = [
    ["Message", exports.circleMessageLayout],
];
// factory registration:
require("../../registry.js");
(0, index_js_2.registerPayloadTypes)("CircleBridge", exports.circleBridgeNamedPayloads);
//# sourceMappingURL=circleBridgeLayout.js.map