"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.namedPayloads = exports.porticoPayloadLayout = exports.porticoTransferLayout = exports.porticoFlagSetLayout = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
const index_js_1 = require("./../../layout-items/index.js");
const index_js_2 = require("./../../vaa/index.js");
//weirdly, if defined in place, the type is not inferred properly
const flagsItem = (0, sdk_base_1.bitsetItem)(["shouldWrapNative", "shouldUnwrapNative"]);
exports.porticoFlagSetLayout = [
    { name: "recipientChain", binary: "uint", endianness: "little", size: 2 },
    { name: "bridgeNonce", binary: "uint", endianness: "little", size: 4 },
    { name: "feeTierStart", binary: "uint", endianness: "little", size: 3 },
    { name: "feeTierFinish", binary: "uint", endianness: "little", size: 3 },
    { name: "padding", binary: "bytes", size: 19 },
    { name: "flags", ...flagsItem },
];
exports.porticoTransferLayout = [
    { name: "flagSet", binary: "bytes", layout: exports.porticoFlagSetLayout },
    { name: "startTokenAddress", ...index_js_1.universalAddressItem },
    { name: "cannonAssetAmount", ...index_js_1.amountItem },
    { name: "finalTokenAddress", ...index_js_1.universalAddressItem },
    { name: "recipientAddress", ...index_js_1.universalAddressItem },
    { name: "destinationPorticoAddress", ...index_js_1.universalAddressItem },
    { name: "amountSpecified", ...index_js_1.amountItem },
    { name: "minAmountStart", ...index_js_1.amountItem },
    { name: "minAmountFinish", ...index_js_1.amountItem },
    { name: "relayerFee", ...index_js_1.amountItem },
];
exports.porticoPayloadLayout = [
    { name: "flagSet", binary: "bytes", layout: exports.porticoFlagSetLayout },
    { name: "finalTokenAddress", ...index_js_1.universalAddressItem },
    { name: "recipientAddress", ...index_js_1.universalAddressItem },
    { name: "cannonAssetAmount", ...index_js_1.amountItem },
    { name: "minAmountFinish", ...index_js_1.amountItem },
    { name: "relayerFee", ...index_js_1.amountItem },
];
exports.namedPayloads = [["Transfer", exports.porticoFlagSetLayout]];
// factory registration:
require("../../registry.js");
(0, index_js_2.registerPayloadTypes)("PorticoBridge", exports.namedPayloads);
//# sourceMappingURL=porticoLayout.js.map