import type { DynamicItemsOfLayout, LayoutToType } from "@wormhole-foundation/sdk-base";
import type { PayloadLiteral } from "./registration.js";
import type { baseLayout, VAA } from "./vaa.js";
import type { PayloadLiteralToPayloadItemLayout } from "./functions.js";
type DynamicProperties<PL extends PayloadLiteral> = LayoutToType<DynamicItemsOfLayout<[...typeof baseLayout, PayloadLiteralToPayloadItemLayout<PL>]>>;
/**
 * Create a VAA from a payload literal and a set of dynamic properties.
 * @param payloadLiteral The payload literal to create a VAA for.
 * @param vaaData The dynamic properties to include in the VAA.
 * @returns A VAA with the given payload literal and dynamic properties.
 * @throws If the dynamic properties do not match the payload literal.
 */
export declare function createVAA<PL extends PayloadLiteral>(payloadLiteral: PL, vaaData: DynamicProperties<PL>): VAA<PL>;
export {};
//# sourceMappingURL=create.d.ts.map