import { encoding } from "@wormhole-foundation/sdk-base";
const trimZeros = (arr) => {
    const i = arr.findIndex((x) => x !== 0);
    return -1 < i ? arr.slice(i) : new Uint8Array([]);
};
export const stringConversion = {
    to: encoding.bytes.decode,
    from: encoding.bytes.encode,
};
export const fixedLengthStringItem = (size) => ({
    binary: "bytes",
    size,
    custom: {
        to: (val) => encoding.bytes.decode(trimZeros(val)),
        from: (val) => encoding.bytes.zpad(encoding.bytes.encode(val), size),
    },
});
//# sourceMappingURL=string.js.map