/** Signature represents the secp256k1 signature of a Guardian */
export declare class Signature {
    readonly r: bigint;
    readonly s: bigint;
    readonly v: number;
    constructor(r: bigint, s: bigint, v: number);
    encode(): Uint8Array;
    static decode(data: Uint8Array): Signature;
}
export declare namespace SignatureUtils {
    function toPubkey(privateKey: string): Uint8Array;
    function sign(privateKey: string, hash: Uint8Array): import("@noble/curves/abstract/weierstrass").RecoveredSignatureType;
    function validate(signature: Signature, publicKey: Uint8Array, hash: Uint8Array): boolean;
    function recover(signature: Signature, hash: Uint8Array): Uint8Array;
}
//# sourceMappingURL=signature.d.ts.map